Skip to main content
`Ctrl`+`K`

# DMNetworkGetVertexRange

Get the bounds [start, end) for the local vertices

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetVertexRange(DM dm, PetscInt *vStart, PetscInt *vEnd)

Not Collective

## Input Parameter

- dm - the `DMNETWORK` object

## Output Parameters

- vStart - the first vertex point

- vEnd - one beyond the last vertex point

## See Also

`DM`, `DMNETWORK`, `DMNetworkGetEdgeRange()`

## Level

beginner

## Location

src/dm/impls/network/network.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages